# Class CIM_SAEndpointRefreshSettings
extends CIM_SettingData

SAEndpointRefreshSettings hold the refresh thresholds for the SecurityAssociationEndpoint. Since these settings may change for an SA, the properties are defined both in this class and in SecurityAssociationEndpoint.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_SAEndpointRefreshSettings

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | SAEndpointRefreshSettings hold the refresh thresholds for the SecurityAssociationEndpoint. Since these settings may change for an SA, the properties are defined both in this class and in SecurityAssociationEndpoint.
UMLPackagePath | string | CIM::Network::IPsec
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
RefreshThresholdKbytesPercentage | uint8 |
Description | string | RefreshThresholdKbytesPercentage is the lifetime percentage of kilobytes processed, at which a new SA should be acquired.
MaxValue | sint64 | 100
MinValue | sint64 | 0
ModelCorrespondence | string | CIM_SecurityAssociationEndpoint.RefreshThresholdKbytesPercentage
Units | string | Percent
Write | boolean | true
RefreshThresholdSecondsPercentage | uint8 |
Description | string | RefreshThresholdSecondsPercentage is the lifetime percentage after which a new SA should be acquired, before the existing SA expires.
MaxValue | sint64 | 100
MinValue | sint64 | 0
ModelCorrespondence | string | CIM_SecurityAssociationEndpoint.RefreshThresholdSecondsPercentage
Units | string | Percent
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods